/*
 *   (C)opyright 2003 - 2008 RIPE NCC
 *   This file is part of DNSMon
 *
 *   DNSMon is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   DNSMon is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with DNSMon.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include <sys/queue.h>
#include "queue.h"


struct outst_m_entry {
    int dns_id;
    int sched_id;
    int type;
    int query_type;
    int timeout;
    int attempts;
	int af;
    char qry[50];
    char label[50];
    char domain[50];
    struct timeval sent_tv;
    SLIST_ENTRY(outst_m_entry) entries;     /* Singly-linked List. */
};

struct merged_entry {
    int sched_id;
    int query_type;
    char qry[50];
    char label[50];
    char result[50];
    char domain[50];
    int attempts;
    struct timeval delay;
};

pid_t process_data(void);
int log_entry(struct merged_entry m, int af);
