#! /usr/bin/perl
# $Id: dnsmon-util-test.pl,v 1.1.4.1 2008/04/13 15:49:47 ruben Exp $
############################################################################
###    (C)opyright 2003 - 2008 RIPE NCC
###    This file is part of DNSMon
###
###    DNSMon is free software: you can redistribute it and/or modify
###    it under the terms of the GNU General Public License as published by
###    the Free Software Foundation, either version 3 of the License, or
###    (at your option) any later version.
###
###    DNSMon is distributed in the hope that it will be useful,
###    but WITHOUT ANY WARRANTY; without even the implied warranty of
###    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
###    GNU General Public License for more details.
###
###    You should have received a copy of the GNU General Public License
###    along with DNSMon.  If not, see <http://www.gnu.org/licenses/>.
############################################################################

use RIPE::DNSMon::RRD;             # DNS RRD plotting stuff useful beyond mason.
use Time::Piece;
use LockFile::Simple;

my $opt_v = 1;
umask(3);

# more convenient access to second constants
#
my $HOUR = Time::Piece->ONE_HOUR;
my $DAY = Time::Piece->ONE_DAY;
my $WEEK = Time::Piece->ONE_WEEK;

@r = sort &RIPE::DNSMon::RRD::raw_mons;



foreach $r (@r) {
	print "$r\n";
}
