/*
 *   (C)opyright 2003 - 2008 RIPE NCC
 *   This file is part of DNSMon
 *
 *   DNSMon is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   DNSMon is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with DNSMon.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

pid_t sending_process(void);

struct sent_packet {
    int dns_id;
    int sched_id;

#define PACKET_TYPE_UDP 1
#define PACKET_TYPE_RAW 2
    int type;

    int query_type;

    int attempts;
    int timeout;

	int af;

    char qry[50];
    char address[50];
    char label[50];
    char domain[50];
    u_int32_t server_ip;

    struct timeval sent_tv;
};
